[arch-commits] Commit in texlive-langjapanese/repos/extra-any (6 files)

Rémy Oudompheng remy at archlinux.org
Sat Nov 11 12:16:25 UTC 2017


    Date: Saturday, November 11, 2017 @ 12:16:22
  Author: remy
Revision: 309541

archrelease: copy trunk to extra-any

Added:
  texlive-langjapanese/repos/extra-any/PKGBUILD
    (from rev 309540, texlive-langjapanese/trunk/PKGBUILD)
  texlive-langjapanese/repos/extra-any/texlive-langjapanese.fmts
    (from rev 309540, texlive-langjapanese/trunk/texlive-langjapanese.fmts)
  texlive-langjapanese/repos/extra-any/texlive-langjapanese.maps
    (from rev 309540, texlive-langjapanese/trunk/texlive-langjapanese.maps)
Deleted:
  texlive-langjapanese/repos/extra-any/PKGBUILD
  texlive-langjapanese/repos/extra-any/texlive-langjapanese.fmts
  texlive-langjapanese/repos/extra-any/texlive-langjapanese.maps

---------------------------+
 PKGBUILD                  |  130 ++++++++++++++++++++++----------------------
 texlive-langjapanese.fmts |   12 ++--
 texlive-langjapanese.maps |   34 +++++------
 3 files changed, 88 insertions(+), 88 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2017-11-11 12:15:31 UTC (rev 309540)
+++ PKGBUILD	2017-11-11 12:16:22 UTC (rev 309541)
@@ -1,65 +0,0 @@
-# $Id$
-# Maintainer: Rémy Oudompheng <remy at archlinux.org>
-
-pkgname=texlive-langjapanese
-pkgver=2017.44914
-_revnr=${pkgver#2017.}
-pkgrel=1
-pkgdesc="TeX Live - Fonts and macro packages to typeset Japanese texts"
-license=('GPL')
-arch=(any)
-depends=('texlive-core')
-groups=('texlive-lang')
-url='http://tug.org/texlive/'
-source=("https://sources.archlinux.org/other/texlive/$pkgname-$pkgver-src.zip"
-        "$pkgname.maps"
-        "$pkgname.fmts")
-options=('!emptydirs')
-sha256sums=('088bb180fd71243bd746527ba5fa0b4aab4b59a37694b7482db2b09874100fdd'
-            '3bdd409fb6151342e5efb8c3c8d6d7109aa0a6db372c725f368af36ec0f40ddf'
-            'd81d467f9c1963330e1af03d50eda43cbc12d29f3644beec5165de4fd3e4cf3b')
-
-build() {
-   cd "$srcdir"
-   for p in *.tar.xz; do
-	   bsdtar -xf $p
-   done
-   rm -rf tlpkg
-}
-
-package() {
-   install -m755 -d $pkgdir/var/lib/texmf/arch/installedpkgs
-   sed -i '/^#/d' CONTENTS
-   install -m644 CONTENTS $pkgdir/var/lib/texmf/arch/installedpkgs/${pkgname}_${_revnr}.pkgs
-   install -m644 $pkgname.maps $pkgdir/var/lib/texmf/arch/installedpkgs/
-   install -m644 $pkgname.fmts $pkgdir/var/lib/texmf/arch/installedpkgs/
-   install -m755 -d $pkgdir/usr/share
-   wanteddirs=$(for d in *; do test -d $d && [[ $d != texmf* ]] && echo $d; done) || true
-   for dir in $wanteddirs; do
-     find $dir -type d -exec install -d -m755 $pkgdir/usr/share/texmf-dist/'{}' \;
-     find $dir -type f -exec install -m644 '{}' $pkgdir/usr/share/texmf-dist/'{}' \;
-   done
-   if [[ -d texmf-dist ]]; then
-     find texmf-dist -type d -exec install -d -m755 $pkgdir/usr/share/'{}' \;
-     find texmf-dist -type f -exec install -m644 '{}' $pkgdir/usr/share/'{}' \;
-   fi
-   if [[ -d $pkgdir/usr/share/texmf-dist/scripts ]]; then
-     find $pkgdir/usr/share/texmf-dist/scripts -type f -exec chmod a+x '{}' \;
-   fi
-
-    # scripts links
-    _linked_scripts="
-convbkmk/convbkmk.rb
-ptex2pdf/ptex2pdf.lua
-ptex-fontmaps/kanji-config-updmap.pl
-ptex-fontmaps/kanji-config-updmap-sys.sh
-ptex-fontmaps/kanji-config-updmap-user.sh
-ptex-fontmaps/kanji-fontmap-creator.pl
-"
-    install -m755 -d $pkgdir/usr/bin
-    for _script in ${_linked_scripts}; do
-        _scriptbase=$(basename $_script)
-        _scriptbase=${_scriptbase%.*}
-        ln -s /usr/share/texmf-dist/scripts/${_script} ${pkgdir}/usr/bin/${_scriptbase}
-    done
-}

Copied: texlive-langjapanese/repos/extra-any/PKGBUILD (from rev 309540, texlive-langjapanese/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2017-11-11 12:16:22 UTC (rev 309541)
@@ -0,0 +1,65 @@
+# $Id$
+# Maintainer: Rémy Oudompheng <remy at archlinux.org>
+
+pkgname=texlive-langjapanese
+pkgver=2017.45699
+_revnr=${pkgver#2017.}
+pkgrel=1
+pkgdesc="TeX Live - Fonts and macro packages to typeset Japanese texts"
+license=('GPL')
+arch=(any)
+depends=('texlive-core')
+groups=('texlive-lang')
+url='http://tug.org/texlive/'
+source=("https://sources.archlinux.org/other/texlive/$pkgname-$pkgver-src.zip"
+        "$pkgname.maps"
+        "$pkgname.fmts")
+options=('!emptydirs')
+sha256sums=('1cfc188549714aee9df6bab01daa69f6f2444791f56eb61b2d0bbfe57a5df384'
+            '3bdd409fb6151342e5efb8c3c8d6d7109aa0a6db372c725f368af36ec0f40ddf'
+            'd81d467f9c1963330e1af03d50eda43cbc12d29f3644beec5165de4fd3e4cf3b')
+
+build() {
+   cd "$srcdir"
+   for p in *.tar.xz; do
+	   bsdtar -xf $p
+   done
+   rm -rf tlpkg
+}
+
+package() {
+   install -m755 -d $pkgdir/var/lib/texmf/arch/installedpkgs
+   sed -i '/^#/d' CONTENTS
+   install -m644 CONTENTS $pkgdir/var/lib/texmf/arch/installedpkgs/${pkgname}_${_revnr}.pkgs
+   install -m644 $pkgname.maps $pkgdir/var/lib/texmf/arch/installedpkgs/
+   install -m644 $pkgname.fmts $pkgdir/var/lib/texmf/arch/installedpkgs/
+   install -m755 -d $pkgdir/usr/share
+   wanteddirs=$(for d in *; do test -d $d && [[ $d != texmf* ]] && echo $d; done) || true
+   for dir in $wanteddirs; do
+     find $dir -type d -exec install -d -m755 $pkgdir/usr/share/texmf-dist/'{}' \;
+     find $dir -type f -exec install -m644 '{}' $pkgdir/usr/share/texmf-dist/'{}' \;
+   done
+   if [[ -d texmf-dist ]]; then
+     find texmf-dist -type d -exec install -d -m755 $pkgdir/usr/share/'{}' \;
+     find texmf-dist -type f -exec install -m644 '{}' $pkgdir/usr/share/'{}' \;
+   fi
+   if [[ -d $pkgdir/usr/share/texmf-dist/scripts ]]; then
+     find $pkgdir/usr/share/texmf-dist/scripts -type f -exec chmod a+x '{}' \;
+   fi
+
+    # scripts links
+    _linked_scripts="
+convbkmk/convbkmk.rb
+ptex2pdf/ptex2pdf.lua
+ptex-fontmaps/kanji-config-updmap.pl
+ptex-fontmaps/kanji-config-updmap-sys.sh
+ptex-fontmaps/kanji-config-updmap-user.sh
+ptex-fontmaps/kanji-fontmap-creator.pl
+"
+    install -m755 -d $pkgdir/usr/bin
+    for _script in ${_linked_scripts}; do
+        _scriptbase=$(basename $_script)
+        _scriptbase=${_scriptbase%.*}
+        ln -s /usr/share/texmf-dist/scripts/${_script} ${pkgdir}/usr/bin/${_scriptbase}
+    done
+}

Deleted: texlive-langjapanese.fmts
===================================================================
--- texlive-langjapanese.fmts	2017-11-11 12:15:31 UTC (rev 309540)
+++ texlive-langjapanese.fmts	2017-11-11 12:16:22 UTC (rev 309541)
@@ -1,6 +0,0 @@
-eptex eptex language.def *eptex.ini
-euptex euptex language.def *euptex.ini
-platex eptex language.dat *platex.ini
-ptex ptex - ptex.ini
-uplatex euptex language.dat *uplatex.ini
-uptex uptex - uptex.ini

Copied: texlive-langjapanese/repos/extra-any/texlive-langjapanese.fmts (from rev 309540, texlive-langjapanese/trunk/texlive-langjapanese.fmts)
===================================================================
--- texlive-langjapanese.fmts	                        (rev 0)
+++ texlive-langjapanese.fmts	2017-11-11 12:16:22 UTC (rev 309541)
@@ -0,0 +1,6 @@
+eptex eptex language.def *eptex.ini
+euptex euptex language.def *euptex.ini
+platex eptex language.dat *platex.ini
+ptex ptex - ptex.ini
+uplatex euptex language.dat *uplatex.ini
+uptex uptex - uptex.ini

Deleted: texlive-langjapanese.maps
===================================================================
--- texlive-langjapanese.maps	2017-11-11 12:15:31 UTC (rev 309540)
+++ texlive-langjapanese.maps	2017-11-11 12:16:22 UTC (rev 309541)
@@ -1,17 +0,0 @@
-KanjiMap morisawa.map
-KanjiMap otf- at jaEmbed@.map
-KanjiMap otf-ko- at koEmbed@.map
-KanjiMap otf-sc- at scEmbed@.map
-KanjiMap otf-tc- at tcEmbed@.map
-KanjiMap otf-up- at jaEmbed@.map
-KanjiMap ptex- at jaEmbed@@jaVariant at .map
-KanjiMap uptex- at jaEmbed@@jaVariant at .map
-KanjiMap uptex-ko- at koEmbed@.map
-KanjiMap uptex-sc- at scEmbed@.map
-KanjiMap uptex-tc- at tcEmbed@.map
-Map dgj.map
-Map dmj.map
-Map mc2j.map
-Map mcj.map
-Map mr2j.map
-Map mrj.map

Copied: texlive-langjapanese/repos/extra-any/texlive-langjapanese.maps (from rev 309540, texlive-langjapanese/trunk/texlive-langjapanese.maps)
===================================================================
--- texlive-langjapanese.maps	                        (rev 0)
+++ texlive-langjapanese.maps	2017-11-11 12:16:22 UTC (rev 309541)
@@ -0,0 +1,17 @@
+KanjiMap morisawa.map
+KanjiMap otf- at jaEmbed@.map
+KanjiMap otf-ko- at koEmbed@.map
+KanjiMap otf-sc- at scEmbed@.map
+KanjiMap otf-tc- at tcEmbed@.map
+KanjiMap otf-up- at jaEmbed@.map
+KanjiMap ptex- at jaEmbed@@jaVariant at .map
+KanjiMap uptex- at jaEmbed@@jaVariant at .map
+KanjiMap uptex-ko- at koEmbed@.map
+KanjiMap uptex-sc- at scEmbed@.map
+KanjiMap uptex-tc- at tcEmbed@.map
+Map dgj.map
+Map dmj.map
+Map mc2j.map
+Map mcj.map
+Map mr2j.map
+Map mrj.map


More information about the arch-commits mailing list